[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:060498] Re: mol が動かない


初めまして 渡部と申します。
私も同じ現象でした。環境は PowerMac8500/132+SonetG4_450/225,
Vine Linux2.5(FTP),apt-getでkernel以外Vine 2.6にしてあります。
kernelのバージョンを2.4.18から2.4.20-0vl2.26.1にアップしたところ同じ現象にでくわしました。
> 五島@尹です
> 
> 自己レスです。
> とりあえず非純正ですがmolが使えるようになりました。
>
> > molが起動中にフリーズし、キーもマウスも固まってしまいます。
> > molとカーネルのバージョンの問題か、molがOSXに対応していないのか?
> > 解決法を御存じでしたら教えて下さい。
> >
> > vine ppc/2.6r2
> > カーネルは2.4.20-0vl2.26.1
> > rpmは以下がインストールされています。
> > mol-kmods-0.9.65-1vl6
> > mol-kmods22-0.9.65-1vl6
> > mol-0.9.65-1vl1
> >
> > PowerBook G4/15'/867
> > Mac OS 10.2.3+アップデートです
> 
> いろいろやってみましたが、
> 1)vineのppc.rpmをインストールし、カーネルモジュールのバージョンの違いを無視して起動するとlinuxごとフリーズする。
>
 2)vineのsrc.rpmからrebuildするとエラーで止まる。カーネルモジュールのコンパイルもエラーで止まる。
> 3)配布もとの0.9.65をコンパイルするとカーネルモジュールのコンパイルでエラーで止まる。2)と同じところ。
> 4)配布もとの0.9.68をコンパイルするとカーネルもジュールはできるが、本体のコンパイルエラーで止まる。
> 
> ネットで検索してもmolにコンパイルができなくて困っている様子は見付からず、解決できませんでした。
> 
> しかし
> 5)配布元にあるmol-kmods-0.9.68-1.src.rpmをコンパイルしてインストール、コンパイル済の本体
> mol-0.9.68-1.ppc.rpmをインストールすることでmolが起動して、OSXを使うことができました。
> とりあえず報告まで。
> 
> 
> 2)のエラー
> mol-0.9.65-1vl1.src.rpmのコンパイル
> 前略
> + make
> Making all in scripts
> Making all in src
> Making all in lib
> Making all in hfs
> Making all in hfsplus
> llseek.c: In function `_llseek':
> llseek.c:31: more than 10 operands in `asm'
> make[3]: *** [llseek.o] エラー 1
> make[2]: *** [all-recursive] エラー 1
> make[1]: *** [all-recursive] エラー 1
> make: *** [all-recursive] エラー 1
> /var/tmp/rpm-tmp.43411 の不正な終了ステータス (%build)
> 
> 
> mol-kmods-0.9.65-1vl6.src.rpmのコンパイル
> 前略
> ===========================================================
>  Kernel headers:          /usr/src/linux-2.4.20/include
>  Module compiled for:     2.4.20-0vl2.26.1
>  Running kernel:          2.4.20-0vl2.26.1
> ===========================================================
> fault.c: In function `get_phys_page':
> fault.c:107: too few arguments to function `expand_stack'
> make[3]: *** [fault.o] エラー 1
> make[2]: *** [all-recursive] エラー 1
> make[1]: *** [multi_modules] エラー 1
> make: *** [modules] エラー 2
> /var/tmp/rpm-tmp.73632 の不正な終了ステータス (%install)

エラーの内容も同じです。私の場合は、mol本家のtarボールをコンパイルして使用しています。./configureは通りますがmakeでエラーがでます。上記の様に設定しmolは起動できましたが、以前ほどのスピードが出ませんので(ノートンCPUテスト 今回の設定 340
以前の設定 1120 )kernelを元のバージョンにもどしました。

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
References: